package tech.starwin.common.impl;

import android.view.View;

import tech.starwin.utils.FireBaseHelper;
import tech.starwin.utils.LogUtils;

/**
 * Created by SiKang on 2018/10/11.
 */
public abstract class OnEventClickListener implements View.OnClickListener {

    @Override
    public void onClick(View v) {
        FireBaseHelper.LogClickEventByTag(v);
        onEventClick(v);
    }

    public abstract void onEventClick(View v);


}
